import { createI18n } from 'vue-i18n'

// 引入语言文件
import zhCN from './lang/zh-CN.js'
import enUS from './lang/en-US.js'
import zhTW from './lang/zh-TW.js'

// 语言包
const messages = {
    zhCN,
    enUS,
    zhTW
}

// 从 localStorage 获取语言（没有则默认中文）
const savedLang = localStorage.getItem('lang') || 'zhCN'

// 如果本地没有语言记录，则设置默认中文
if (!localStorage.getItem('lang')) {
    localStorage.setItem('lang', 'zhCN')
}

const i18n = createI18n({
    legacy: false,
    locale: savedLang,     // 优先使用用户曾经选择的语言
    fallbackLocale: 'zhCN', // 建议默认回退中文
    messages
})

export default i18n
